package no.noroff.lagaltnoroff.repositories;

import no.noroff.lagaltnoroff.model.ProjectApplication;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProjectApplicationRepository extends JpaRepository<ProjectApplication, Long> {
	// Autogenerated to find project applications by project id
	List<ProjectApplication> findProjectApplicationsByProjectId(long id);

	List<ProjectApplication> findProjectApplicationsByUserGoogleKey(String id);
}
